FreeMat

- Main Page
- Related Pages

vtkGenericDataObjectWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkGenericDataObjectWriter is a concrete class that writes data objects to disk. The input to this object is any subclass of vtkDataObject.

To create an instance of class vtkGenericDataObjectWriter, simply invoke its constructor as follows

      obj = vtkGenericDataObjectWriter

# Methods

The class vtkGenericDataObjectWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGenericDataObjectWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGenericDataObjectWriter = obj.NewInstance ()`
- `vtkGenericDataObjectWriter = obj.SafeDownCast (vtkObject o)`